Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.session
Class SessionChannelClient

    java.lang.Object
      com.sshtools.j2ssh.connection.Channel
          com.sshtools.j2ssh.connection.IOChannel
              com.sshtools.j2ssh.session.SessionChannelClient

public class SessionChannelClient
extends IOChannel

DOCUMENT ME!

Field Summary

Fields inherited from class com.sshtools.j2ssh.connection.IOChannel
`boundInputStream, boundOutputStream, in, incoming, ios, out`

Fields inherited from class com.sshtools.j2ssh.connection.Channel
`connection, localChannelId, localPacketSize, localWindow, remoteChannelId, remotePacketSize, remoteWindow, state`

Constructor Summary
`SessionChannelClient()` Creates a new SessionChannelClient object.

Method Summary
`void` | `changeTerminalDimensions(PseudoTerminal term)` DOCUMENT ME!
`boolean` | `executeCommand(java.lang.String command)` DOCUMENT ME!
`byte[]` | `getChannelConfirmationData()` DOCUMENT ME!
`byte[]` | `getChannelOpenData()` DOCUMENT ME!
`java.lang.String` | `getChannelType()` DOCUMENT ME!
`java.lang.Integer` | `getExitCode()` DOCUMENT ME!
`protected int` | `getMaximumPacketSize()` DOCUMENT ME!
`protected int` | `getMaximumWindowSpace()` DOCUMENT ME!
`protected int` | `getMinimumWindowSpace()` DOCUMENT ME!
`java.lang.String` | `getSessionType()` DOCUMENT ME!
`java.io.InputStream` | `getStderrInputStream()` DOCUMENT ME!
`SubsystemClient` | `getSubsystem()` DOCUMENT ME!
`boolean` | `isLocalFlowControlEnabled()` DOCUMENT ME!
`protected void` | `onChannelClose()` DOCUMENT ME!
`protected void` | `onChannelOpen()` DOCUMENT ME!
`protected void` | `onChannelRequest(java.lang.String requestType, boolean wantReply, byte[] requestData)` DOCUMENT ME!
`boolean` | `requestAgentForwarding()` DOCUMENT ME!
`boolean` | `requestPseudoTerminal(PseudoTerminal term)` DOCUMENT ME!
`boolean` | `requestPseudoTerminal(java.lang.String term, int cols, int rows, int width, int height, java.lang.String terminalModes)` DOCUMENT ME!
`boolean` | `requestX11Forwarding(int display, java.lang.String cookie)` DOCUMENT ME!
`boolean` | `setEnvironmentVariable(java.lang.String name, java.lang.String value)` DOCUMENT ME!
`void` | `setSessionType(java.lang.String sessionType)` DOCUMENT ME!
`void` | `setSignalListener(SignalListener signalListener)` DOCUMENT ME!
`boolean` | `startShell()` DOCUMENT ME!
`boolean` | `startSubsystem(java.lang.String subsystem)` DOCUMENT ME!
`boolean` | `startSubsystem(SubsystemClient subsystem)` DOCUMENT ME!

Methods inherited from class com.sshtools.j2ssh.connection.IOChannel
`bindInputStream, bindOutputStream, getInputStream, getOutputStream, init, onChannelData, onChannelEOF, onChannelExtData, open, setLocalEOF`

Methods inherited from class com.sshtools.j2ssh.connection.Channel
`addEventListener, close, finalizeClose, getLocalChannelId, getLocalPacketSize, getLocalWindow, getName, getRemoteChannelId, getRemotePacketSize, getRemoteWindow, getState, init, isClosed, isLocalEOF, isOpen, isRemoteEOF, processChannelData, processChannelData, remoteClose, sendChannelData, sendChannelExtData, setName, setRemoteEOF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SessionChannelClient

    public SessionChannelClient()

  Creates a new SessionChannelClient object.

Method Detail

### getChannelOpenData

    public byte[] getChannelOpenData()

  DOCUMENT ME!

  Specified by:
    `getChannelOpenData` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelConfirmationData

    public byte[] getChannelConfirmationData()

  DOCUMENT ME!

  Specified by:
    `getChannelConfirmationData` in class `Channel`
  Returns:
    DOCUMENT ME!

### getChannelType

    public java.lang.String getChannelType()

  DOCUMENT ME!

  Specified by:
    `getChannelType` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMinimumWindowSpace

    protected int getMinimumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMinimumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMaximumWindowSpace

    protected int getMaximumWindowSpace()

  DOCUMENT ME!

  Specified by:
    `getMaximumWindowSpace` in class `Channel`
  Returns:
    DOCUMENT ME!

### getMaximumPacketSize

    protected int getMaximumPacketSize()

  DOCUMENT ME!

  Specified by:
    `getMaximumPacketSize` in class `Channel`
  Returns:
    DOCUMENT ME!

### setSignalListener

    public void setSignalListener(SignalListener signalListener)

  DOCUMENT ME!

  Parameters:
    `signalListener` - DOCUMENT ME!

### setEnvironmentVariable

    public boolean setEnvironmentVariable(java.lang.String name,
                                          java.lang.String value)
                                   throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `name` - DOCUMENT ME!
    `value` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### requestAgentForwarding

    public boolean requestAgentForwarding()
                                   throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!
    `SshException` - DOCUMENT ME!
    `InvalidChannelException` - DOCUMENT ME!

### requestX11Forwarding

    public boolean requestX11Forwarding(int display,
                                        java.lang.String cookie)
                                 throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `display` - DOCUMENT ME!
    `cookie` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getExitCode

    public java.lang.Integer getExitCode()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### changeTerminalDimensions

    public void changeTerminalDimensions(PseudoTerminal term)
                                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `term` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### executeCommand

    public boolean executeCommand(java.lang.String command)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `command` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### requestPseudoTerminal

    public boolean requestPseudoTerminal(java.lang.String term,
                                         int cols,
                                         int rows,
                                         int width,
                                         int height,
                                         java.lang.String terminalModes)
                                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `term` - DOCUMENT ME!
    `cols` - DOCUMENT ME!
    `rows` - DOCUMENT ME!
    `width` - DOCUMENT ME!
    `height` - DOCUMENT ME!
    `terminalModes` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### requestPseudoTerminal

    public boolean requestPseudoTerminal(PseudoTerminal term)
                                  throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `term` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### startShell

    public boolean startShell()
                       throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### startSubsystem

    public boolean startSubsystem(java.lang.String subsystem)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `subsystem` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### startSubsystem

    public boolean startSubsystem(SubsystemClient subsystem)
                           throws java.io.IOException

  DOCUMENT ME!

  Parameters:
    `subsystem` - DOCUMENT ME!
  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### isLocalFlowControlEnabled

    public boolean isLocalFlowControlEnabled()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getSessionType

    public java.lang.String getSessionType()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### setSessionType

    public void setSessionType(java.lang.String sessionType)

  DOCUMENT ME!

  Parameters:
    `sessionType` - DOCUMENT ME!

### getSubsystem

    public SubsystemClient getSubsystem()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### onChannelClose

    protected void onChannelClose()
                           throws java.io.IOException

  DOCUMENT ME!

  Overrides:
    `onChannelClose` in class `IOChannel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelOpen

    protected void onChannelOpen()
                          throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelOpen` in class `Channel`
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### getStderrInputStream

    public java.io.InputStream getStderrInputStream()
                                             throws java.io.IOException

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

### onChannelRequest

    protected void onChannelRequest(java.lang.String requestType,
                                    boolean wantReply,
                                    byte[] requestData)
                             throws java.io.IOException

  DOCUMENT ME!

  Specified by:
    `onChannelRequest` in class `Channel`
  Parameters:
    `requestType` - DOCUMENT ME!
    `wantReply` - DOCUMENT ME!
    `requestData` - DOCUMENT ME!
  Throws:
    `java.io.IOException` - DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD